QGIS Application - Bug report #4425
Add a capitalize() function to the expression based labeling engine
2011-10-22 03:41 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14357
Description

This probably doesn't require a long description. It'd be useful for the expression based labeling engine to have a capitalize() function.
Typical case study: Bob gets a shapefile of protected areas in which the name of each area is saved in uppercase (e.g. 'PHNOM
TAMAOQ', 'BOTUM SAKOR') to add to his project. Bob doesn't want to use uppercase strings there because another set of features on his

map uses uppercase strings.

With the capitalize() function, Bob could simply go to the expression based labeling engine and input capitalize(P_AREA_NAME).

History

#1 - 2011-10-22 08:24 AM - Martin Dobias

A little bit of research on function name in other SQL databases:

postgresq|, oracle: initcap( x )

mysql, ms sql: not available (?)

#2 - 2011-10-24 10:59 PM - Nathan Woodrow

Martin,

Seems that MS SQL doesn't have a function. You have to define your own :S | suggest we follow postgresgl and go with inticap(x). postgresqgl seems to
follow the standard better than anyone else, so | think they are a good model to base the functions off.
#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-16 06:31 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#5 - 2012-08-06 06:34 PM - Alister Hood

- Resolution set to fixed
- Status changed from Open to Closed
There is an upper() function, which is what | initially thought this ticket was about, in at least master (not sure about 1.8).

And there is now a title() function in master to convert to title case, which | think is what this ticket is actually about.
